var a;
(a = getApp()),
  Page({
    data: { serviceSumCount: 0, serviceSumMoney: 0 },
    onLoad: function (a) {
      this.getDetail(a.orderid);
    },
    getDetail: function (t) {
      var e = this,
        n = { orderid: t };
      a.getdata(n, "gscxid").then((a) => {
        console.log("回调数据：", a),
          a &&
            (e.setData({ cardata: a.data, orderid: t }),
            e.setData({ records: a.data.record }));
      });
    },
    onReady: function () {},
    onShow: function () {},
    onHide: function () {},
    onUnload: function () {},
    onPullDownRefresh: function () {},
    onReachBottom: function () {},
    onShareAppMessage: function () {
      return {
        title: this.data.cardata.name + "公司查询报告",
        path: "/packageA/pages/gscx/carcxjl?orderid=" + this.data.orderid,
      };
    },
    onShareTimeline: function () {
      return {
        title: this.data.cardata.name + "公司查询报告",
        path: "/packageA/pages/gscx/carcxjl?orderid=" + this.data.orderid,
      };
    },
  });
